Subject: [bug#53964] [PATCH 2/4] gnu: gcc: Add 2.95.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 10:23:40 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op za 12-02-2022 om 22:45 [+0100]:
>> +                     (apply invoke "./configure"
>> +                            (string-append "--prefix=" out)
>> +                            (string-append "--build=" build)
>> +                            (string-append "--host=" build)
>> +                            configure-flags))))
>
> Seems incorrect when gcc is being cross-compiled, "--build" or "--host"
> (I always forget which) should be set to 'target' (in the Guix sense,
> not the autools sense).
>
> Or perhaps it doesn't matter since #:system is always "i686-linux" ...

Right, it probably cannot be cross-compiled and that’s fine.

(For some reason this old ‘configure’ script needed both ‘--build’ and
‘--host’.)

Ludo’.